6.0.0-git
2021-01-18

[#1111] Tree not updated after unsubscribing
Summary Tree not updated after unsubscribing
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2005-01-07 (5855 days ago)
Due
Updated 2005-03-04 (5799 days ago)
Assigned 2005-03-04 (5799 days ago)
Resolved 2005-03-04 (5799 days ago)
Milestone
Patch No

History
2005-03-04 10:26:22 Jan Schneider Comment #12 Reply to this comment
Yes, that fixed it.
2005-03-04 10:25:13 Jan Schneider Comment #11
State ⇒ Resolved
Reply to this comment
Yes, that fixed it.
2005-03-04 08:20:38 Michael Slusarz Comment #10
State ⇒ Feedback
Reply to this comment
2005-02-18 18:07:32 Michael Slusarz Comment #9 Reply to this comment
Not seeing this.  If I setup folders like you describe, when I switch 
to subscribe view I see:



A

+- C



which is what is expected.  This is even if I subscribe/unsubscribe 
from both B and C (and even A) multiple times without refreshing the 
Tree.
2005-02-18 16:02:50 Jan Schneider Comment #8 Reply to this comment
My description was not quite correct. This is no container, but an 
unsubscribed folder with subscribed subfolders. Thus it looks like a 
container if you hide unsubscribed folders.



The scenario is the following:



showing unsubscribed

A (unsubscribed)

+- B (unsubscribed)

+- C (subscribed)

+- ....



then hiding unsubscribed folders hides folder A completely.
2005-02-18 15:49:41 Michael Slusarz Comment #7 Reply to this comment
Reading your message again, I am worried that your IMAP server lets 
you subscribe/unsubscribe to the container (so you use Cyrus).  I use 
dovecot and the container folder can not be directly manipulated.
2005-02-18 15:45:28 Michael Slusarz Comment #6 Reply to this comment
Are there any subscribed folders under the container?  If not, than 
the container won't be shown.



The following example works for me:

Unsubscribed view

+ A (container)

   - B (folder)



unsubscribed from B, switch to "Show subscribed only", and I don't see 
'A' or 'B' (as expected), switch to "Show unsubscribed", I see both.
2005-02-18 11:06:30 Jan Schneider Comment #5
State ⇒ Assigned
Reply to this comment
Not sure if that was cause by this fix, but now, if I click on "Hide 
unsubcribed folders", the container disappears completely. "Refresh" 
fixes this.

The original issue is fixed now.
2005-02-18 07:23:14 Michael Slusarz Comment #4
State ⇒ Feedback
Reply to this comment
OK - how about what I committed now (to HEAD)?
2005-02-11 13:29:42 Jan Schneider Comment #3
State ⇒ Assigned
Reply to this comment
This is still happening if either unsubscribing folders two times 
concurrently, or unsubscribing subfolders of containers. Not sure 
which one triggered the bug.
2005-02-01 18:35:30 Michael Slusarz Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in Horde 3.0.3 and HEAD.
2005-01-07 18:05:27 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Tree not updated after unsubscribing
Queue ⇒ IMP
Assigned to Michael Slusarz
Reply to this comment
If I unsubscribe from folders, I get the notification messages that 
the folders have been unsubscribed successfully, and indeed they are. 
But the folder tree only gets updated after clicking the Refresh button.

Saved Queries